Campaigns
Update campaign
Update an existing campaign.
PUT
/
api
/
v1
/
campaigns
/
{id}
Update campaign
curl --request PUT \
--url https://api.capedigital.co.ke/commercial/api/v1/campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"status": "<string>",
"node": "<string>",
"reference": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.capedigital.co.ke/commercial/api/v1/campaigns/{id}"
payload = {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"status": "<string>",
"node": "<string>",
"reference": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_date: '2023-12-25',
end_date: '2023-12-25',
status: '<string>',
node: '<string>',
reference: '<string>',
name: '<string>'
})
};
fetch('https://api.capedigital.co.ke/commercial/api/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "CP-2024-001",
"start_date": "2024-02-01",
"end_date": "2024-02-28",
"status": "Campaign In Progress",
"node": "on_air",
"company_name": "ABC Corporation",
"products": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "TV Spot 30s"
}
],
"created_at": "2024-01-15T08:00:00Z",
"updated_at": "2024-01-15T08:00:00Z"
}Authorizations
Enter your JWT token in the format: Bearer
Path Parameters
A UUID string identifying this Campaign.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Campaign Serializer
Campaign start date
Campaign end date
Lead status
Required string length:
1 - 50Workflow Node
Required string length:
1 - 50Generated reference string
Maximum string length:
30Campaign name (captured at client commitment)
Maximum string length:
255Response
200 - application/json
Campaign Serializer
Campaign start date
Campaign end date
Lead status
Maximum string length:
50Workflow Node
Maximum string length:
50Generated reference string
Maximum string length:
30Campaign name (captured at client commitment)
Maximum string length:
255⌘I
Update campaign
